Listing deliveries

API reference DeliveriesAPI

Overview

This endpoint can be used to get a list of the deliveries that are created in byrd. The response will include the details for every delivery

Method access
      GET https://api.getbyrd.com/v2/warehouse/deliveries
Request Headers
      Authorization: Bearer token-from >Authentication
      Content-Type: application/json
      User-Agent: your user-agent >How to call the APIs

Query params

You can filter the list by different fields combining them depending on your needs. The most frequent are:

FieldTypeDescription
qstringSearch by term. It searches for that term in the fields specified underfield
fieldsstringFields where to search for the value inq
type stringType of delivery
If accepts regular and container
status stringStatus of the delivery.
If accepts announced, atWarehouse, inProcessing, completed, deleted.
product_ids list of stringsGet only deliveries including these product_ids
user_ids list of stringsGet only deliveries created by these user_ids
include_deleted booleanInclude products that were deleted
If accepts true and false
Defaults to false

Pagination

By sending these parameters you can get the result in different pages:

FieldTypeDescription
per_page stringItems per page
Default is 250
page stringIt returns only that page
sort_by stringIt sorts the response by this field
sort_order stringIt sorts the response ascending or descending depending on this value
It accepts asc and desc

Date fields

Use these fields to restrict your queries to certain dates:

FieldTypeDescription
date_field stringSelect the field to be used to filter bydate_from and date_to.
If accepts created_at, at_warehouse_at, inbounded_at, status_updated_at
date_fromdatetimeDatetime from in UTC.
Filter by the field indicated under date_field
Example: 2023-03-23T16:00:03Z
date_todatetimeDatetime to in UTC.
Filter by the field indicated under date_field
Example: 2023-03-23T17:00:03Z

Successful response example

data=[
    {
        "data": {
            "deliveredBoxes": null,
            "standardsCompliance": "compliance_not_checked",
            "deliveryNotes": null,
            "inProcessingDateTime": null,
            "deliveryItems": [
                {
                    "hasExistingStorage": false,
                    "id": "the_delivery_item_id",
                    "receivedAmount": 0,
                    "sequenceNumber": 1,
                    "updatedAt": "2023-03-21T13:04:49.552390+00:00",
                    "product": {
                        "sku": "b-t1",
                        "id": "your_product_id",
                        "bsku": "BSKU-AXSJVGIKPL",
                        "organic": false,
                        "description": null,
                        "productType": "branding",
                        "name": "Branding test 1"
                    },
                    "boxcode": "1",
                    "amountArrivedFinished": null,
                    "amount": 100,
                    "createdAt": "2023-03-21T13:04:49.552383+00:00",
                    "amountArrivedDamaged": null
                }
            ],
            "sortedBoxesCount": null,
            "deliveredPallets": null,
            "atWarehouseDateTime": null,
            "statusUpdatedAt": "2023-03-21T13:04:49.546599+00:00",
            "customsPaid": null,
            "deleted": false,
            "referenceNumber": null,
            "requiresCounting": false,
            "updatedAt": "2023-03-21T13:04:49.548351+00:00",
            "deliveryStandards": [],
            "unmixedDelivery": true,
            "deliveryCostsPaid": null,
            "createdAt": "2023-03-21T13:04:49.548344+00:00",
            "senderName": null,
            "inboundingDeadline": {
                "type": "not-applicable",
                "date": null
            },
            "sortedItemsCount": null,
            "stocktaking": true,
            "damages": null,
            "meetsEUOrganicRequirements": null,
            "deliveryContainers": [
                {
                    "id": "the_container_id",
                    "exchangeablePallet": false,
                    "sequenceNumber": 1,
                    "updatedAt": "2023-03-21T13:04:49.551130+00:00",
                    "unknownCarrierName": "",
                    "arrived": false,
                    "trackingURL": "",
                    "trackingNumber": "1234567",
                    "carrier": "DHL_Express",
                    "type": "pallet",
                    "createdAt": "2023-03-21T13:04:49.551124+00:00"
                }
            ],
            "warehouse": {
                "id": "the_warehouse_id",
                "countryCode": "DE"
            },
            "senderAddress": null,
            "description": null,
            "identifier": "TST-8VO4",
            "putawayFee": null,
            "type": "regular",
            "expectedDeliveryDateFrom": "2023-01-09T00:00:00+00:00",
            "id": "the_delivery_id",
            "inboundedDateTime": null,
            "status": "announced",
            "deletedDate": null,
            "userID": "your_user_id",
            "expectedDeliveryDateTo": "2023-01-16T00:00:00+00:00",
            "acceptanceFee": null,
            "expressInbounding": false
        }
    }
]